| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSequenceTimedOperation Struct Reference

A timed operation for the engine sequence manager. More...

`#include <ivaria/engseq.h>`

Inheritance diagram for iSequenceTimedOperation:

[legend]
List of all members.

## Public Member Functions
virtual void | Do (float time, iBase *params)=0
| Do the operation.

## Detailed Description

A timed operation for the engine sequence manager.

This is basically something that needs to run over some period of time. The 'elapsed' value that needs to be implemented by subclasses will go from 0 to 1. When the time expires (goes beyond 1) then the operation will be deleted automatically. Timed operations are usually fired from within a sequence operation (iSequenceOperation).

Main ways to get pointers to this interface:

- Application specific. Instances of this are also created internally by the engine sequence manager plugin.

Main users of this interface:

- iEngineSequenceManager::FireTimedOperation()

Definition at line 672 of file engseq.h.

## Member Function Documentation

virtual void iSequenceTimedOperation::Do | ( | float | time,
|  | iBase * | params |
| ) |  |  | `[pure virtual]`

Do the operation.

'time' will be between 0 and 1.

The documentation for this struct was generated from the following file:

- ivaria/engseq.h